For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
        • GETGet all Listings
        • POSTCreate Listing
        • GETGet a Listing by ID
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
CRM Generic APIsListings

Create Listing

POST
/crm/v1/listings/
POST
/crm/v1/listings/
$curl -X POST https://api.propexo.com/crm/v1/listings/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
>}'
1{
2 "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
3 "data": {}
4}
Create a Listing for an integration.
Was this page helpful?
Previous

Get a Listing by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
community_idstringOptional
The Propexo unique identifier for the community
titlestringOptional
The title associated with the listing
urlstringOptional
The url of the Craigslist listing. Must end with .html
publish_datestringOptionalformat: "date-time"
The date the listing was published
is_listedbooleanOptional
Whether the listing is listed

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error